Bug 1705308 - python-debtcollector FTBFS on Fedora 31
Summary: python-debtcollector FTBFS on Fedora 31
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-oslo-sphinx
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Alan Pevec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON38 F31FTBFS SPHINX2 1732841
TreeView+ depends on / blocked
 
Reported: 2019-05-02 00:04 UTC by Miro Hrončok
Modified: 2019-07-31 22:40 UTC (History)
8 users (show)

Fixed In Version: python-debtcollector-1.21.0-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-13 09:11:11 UTC


Attachments (Terms of Use)
Full log from Copr (94.61 KB, text/plain)
2019-05-02 00:04 UTC, Miro Hrončok
no flags Details

Description Miro Hrončok 2019-05-02 00:04:42 UTC
Created attachment 1561226 [details]
Full log from Copr

When i try to rebuild python-debtcollector-1.11.0-8.fc31 for rawhide, i get this error:

+ sphinx-build-3 -b html -d build/doctrees source build/html
Running Sphinx v2.0.1
fatal: --local can only be used inside a git repository
making output directory... done
/usr/lib/python3.8/site-packages/sphinx/events.py:76: RemovedInSphinx30Warning: autodoc_default_flags is now deprecated. Please use autodoc_default_options instead.
  results.append(callback(*args))

Exception occurred:
  File "/usr/lib/python3.8/site-packages/oslosphinx/__init__.py", line 76, in builder_inited
    app.info('Using openstack theme from %s' % theme_dir)
AttributeError: 'Sphinx' object has no attribute 'info'
The full traceback has been saved in /tmp/sphinx-err-zs2hrf6p.log, if you want to report the issue to the developers.
Please also report this if it was a user error, so that a better error message can be provided next time.
A bug report can be filed in the tracker at <https://github.com/sphinx-doc/sphinx/issues>. Thanks!


----

Full lo attached. The critical error is:

    AttributeError: 'Sphinx' object has no attribute 'info'

Please use the logging API instead:

https://www.sphinx-doc.org/en/2.0/extdev/logging.html


This block the rebuilds of all oslo packages for Python 3.8.
Setting urgent severity, as there is really a lot of oslo packages, if they don't rebuilt, they will fail to install on Fedora 31 once we do the 3.8 switch.

Thanks

Comment 1 Miro Hrončok 2019-05-03 08:58:49 UTC
File "/usr/lib/python3.8/site-packages/oslosphinx/__init__.py" is from 	python-oslo-sphinx.

Comment 2 Javier Peña 2019-05-03 09:12:43 UTC
There is a pending refresh of the OpenStack clients for Fedora to the Stein release, which should include a debtcollector update to support Sphinx 2.0. Alfredo, Yatin, do you know what is the planned date?

Comment 3 Alfredo Moralejo 2019-05-13 09:06:49 UTC
I've updated python-debtcollector in rawhide which does not longer requires python-oslo-sphinx https://koji.fedoraproject.org/koji/buildinfo?buildID=1267027

I guess this can be closed

Comment 4 Miro Hrončok 2019-05-13 09:11:11 UTC
Thank you.


Note You need to log in before you can comment on or make changes to this bug.